<?php
// $Id: menu.inc,v 1.21 2008-04-07 17:58:01 fgiva Exp $
// * custom *
if(file_exists("../dyn/custom/menu.js")) {
  echo "<script language='javascript' src='../dyn/custom/menu.js'></script>";
}
else {
  echo "<script language='javascript' src='../spg/menu.js'></script>";
}
if(file_exists("../dyn/custom/menu.css")) {
   echo "<link rel='stylesheet' type='text/css' href='../dyn/custom/menu.css'>";
}
else {
   echo "<link rel='stylesheet' type='text/css' href='../dyn/menu.css'>";
}
//*
// initialisation
$colorSmenu="darkblue";
$m=0;
// initialisation session
if  ($_SESSION['login']==""){
    $loginNom="identifiez vous";
    $loginMenu="../spg/login.php";
}else{
    $loginNom="".$_SESSION['login'];
    $loginMenu="../spg/login.php?dec=1";
}
//======================================
echo "<div id='logo'>";
// * custom *
if(file_exists("../dyn/custom/img/logo.png")) {
   echo "<img src='../dyn/custom/img/logo.png'><br><br>";
}
else {
   echo "<img src='".$logo."'><br><br>";
}
//*
echo "</div>";
echo "<div id='ville'>";
//echo ucwords($ville);
echo "</div>";
echo "<div id='conteneurmenu'>";
// pour éviter le clignotement =================================================
echo "<script language='Javascript' type='text/javascript'>";
echo "preChargement()";
echo "</script>";
// menu1 =======================================================================
$m++;
$titre="<br>Administration";
if(file_exists("../dyn/custom/img/intervention.png")) {
   $ico="../dyn/custom/img/intervention.png";
}
else {
   $ico="../img/intervention.png";
}
$href="#";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= " Interventions";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";
echo "<li><a href='../scr/tab.php?obj=station&nat=interv'>Station</a></li>";
echo "<li><a href='../scr/tab.php?obj=telecom&nat=interv'>Telecom</a></li>";
echo "<li><a href='../scr/tab.php?obj=imprimante&nat=interv'>Imprimante</a></li>";
echo "<li><a href='../scr/tab.php?obj=copieur&nat=interv'>Copieur</a></li>";
echo "<li><a href='../scr/tab.php?obj=peripheriquestation&nat=interv'>Périphériques Station</a></li>";
echo "<li><a href='../scr/tab.php?obj=periphlibre&nat=interv'>Périphériques Libres</a></li>";
echo "<li><a href='../scr/tab.php?obj=reseau&nat=interv'>Reseau</a></li>";
echo "<li><a href='../scr/tab.php?obj=station&nat=intervclo'>Station Cloturées</a></li>";
echo "<li><a href='../scr/tab.php?obj=telecom&nat=intervclo'>Telecom Cloturées</a></li>";
echo "<li><a href='../scr/tab.php?obj=imprimante&nat=intervclo'>Imprimante Cloturées</a></li>";
echo "<li><a href='../scr/tab.php?obj=copieur&nat=intervclo'>Copieur Cloturées</a></li>";
echo "<li><a href='../scr/tab.php?obj=peripheriquestation&nat=intervclo'>Périphériques Station Cloturées</a></li>";
echo "<li><a href='../scr/tab.php?obj=periphlibre&nat=intervclo'>Périphériques Libres Cloturées</a></li>";
echo "<li><a href='../scr/tab.php?obj=reseau&nat=intervclo'>Reseau Cloturées</a></li>";
$titre= " Administration";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";
echo "<li><a href='../scr/tab.php?obj=personnel''>Utilisateur/ActiveDirectory</a></li>";
echo "<li><a href='../scr/tab.php?obj=requete'>Requêtes/Editions</a></li>";
//echo "<li><a href='../wmi/audit.php'>Lancer Scan WMI</a></li>";
echo "<li><a href='../scr/tab.php?obj=rapportwmi'>Rapport WMI</a></li>";
echo "<li><a href='../scr/tab.php?obj=stationsajoutees'>Stations ajoutées</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelestation'>Modèles station</a></li>";
echo "<li><a href='../scr/tab.php?obj=tcpip'>Adresses IP Mairie</a></li>";
echo "<li><a href='../scr/tdb.php'>Recherche globale</a></li>";
echo "</ul>";
// menu2 =======================================================================
$m++;
$titre="<br>Parc<br>Informatique";
if(file_exists("../dyn/custom/img/station.png")) {
   $ico="../dyn/custom/img/station.png";
}
else {
   $ico="../img/station.png";
}
$href="#";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= " Stations";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";
echo "<li><a href='../scr/tab.php?obj=station&nat=tout'>Toutes les stations</a></li>";
echo "<li><a href='../scr/tab.php?obj=station&nat=mairie'>Stations Mairie</a></li>";
echo "<li><a href='../scr/tab.php?obj=station&nat=interco'>Stations Interco</a></li>";
echo "<li><a href='../scr/tab.php?obj=station&nat=ecoles'>Stations Ecoles</a></li>";
echo "<li><a href='../scr/tab.php?obj=station&nat=stock'>Stations non affectées</a></li>";
echo "<li><a href='../scr/tab.php?obj=stationrebut'>Stations au Rebut</a></li>";
$titre= "Réseau/Télécom";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";
echo "<li><a href='../scr/tab.php?obj=telecom'>Téléphones / Faxs</a></li>";
echo "<li><a href='../scr/tab.php?obj=reseau'>Eléments Réseau</a></li>";
$titre= " Impression";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";
echo "<li><a href='../scr/tab.php?obj=copieur'>Copieurs</a></li>";
echo "<li><a href='../scr/tab.php?obj=imprimante'>Toutes les imprimantes</a></li>";
echo "<li><a href='../scr/tab.php?obj=imprimante&nat=mairie'>Imprimantes Mairie</a></li>";
echo "<li><a href='../scr/tab.php?obj=imprimante&nat=interco'>Imprimantes Interco</a></li>";
echo "<li><a href='../scr/tab.php?obj=imprimante&nat=ecoles'>Imprimantes Ecoles</a></li>";
echo "<li><a href='../scr/tab.php?obj=imprimante&nat=stock'>Imprimantes en Stock</a></li>";
$titre= " Autres Périphériques";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";
//echo "<li><a href='../scr/tab.php?obj=peripheriquetout'>Tous les périphériques</a></li>";
echo "<li><a href='../scr/tab.php?obj=peripheriquestation'>Périphériques Station</a></li>";
echo "<li><a href='../scr/tab.php?obj=periphlibre'>Périphériques Libres</a></li>";
//echo "<li><a href='../scr/tab.php?obj=peripheriquenonaffecte'>Périphériques Non Affectés</a></li>";
echo "<li><a href='../scr/tab.php?obj=peripheriquerebut'>Périphériques au Rebut</a></li>";
echo "</ul>";
// menu3 =======================================================================
$m++;
$titre="<br>Composant<br>Logiciel";
// * custom *
if(file_exists("../dyn/custom/img/cartemere.png")) {
   $ico="../dyn/custom/img/cartemere.png";
}
else {
     $ico="../img/cartemere.png";
}
//*
$href="#";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= "Logiciel";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../scr/tab.php?obj=modelelogiciel&nat=systeme'>Sytème exploitation</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelelogiciel&nat=logiciel'>Logiciel</a></li>";

$titre= "Modèle Composant";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=cartemere'>Carte Mère</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=processeur'>Processeur</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=memoire'>Mémoire</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=floppy'>Floppy</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=disquedur'>Disque Dur</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=lecteuroptique'>Lecteur Optique</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=cartevideo'>Carte Video</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=carteson'>Carte Son</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelecomposant&nat=cartereseau'>Carte Réseau</a></li>";

echo "</ul>";
// menu4 =======================================================================
$m++;
$titre="<br>Modèles Périphérique";
// * custom *
if(file_exists("../dyn/custom/img/imprimante.png")) {
   $ico="../dyn/custom/img/imprimante.png";
}
else {
     $ico="../img/imprimante.png";
}
//*
$href="#";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= "Modèles Impression";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=copieur'>Copieur</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=imprimante'>Imprimante</a></li>";

$titre= "Modèles Périphériques Station";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=clavier'>Clavier</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=souris'>Souris</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=telecommande'>Télécommande</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=ecran'>Ecran</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=enceintes'>Enceintes</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=micro'>Micro</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=hubusb'>Hub USB/Firewire</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=onduleur'>Onduleur</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=scanner'>Scanner</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=lecteurcarte'>Lecteur de Carte</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=lecteurzip'>Lecteur Zip</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=stationaccueil'>Station d'accueil</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=tablette'>Tablette Graphique</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=webcam'>Webcam</a></li>";

$titre= "Modèles Périphériques Libres";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=appareilphoto'>Appareil Numérique</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=memoireflash'>Mémoire Flash</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=disqueext'>Disque externe</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=videoprojecteur'>Vidéoprojecteur</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=organiseur'>Organiseur/PDA</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeleperipherique&nat=camescope'>Camescope</a></li>";

echo "</ul>";
// menu5 =======================================================================
$m++;
$titre="<br> Modèles<br>Réseau";
// * custom *
if(file_exists("../dyn/custom/img/voipphone.png")) {
   $ico="../dyn/custom/img/voipphone.png";
}
else {
     $ico="../img/voipphone.png";
}
//*
$href="#";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= "Modèles Télecom";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../scr/tab.php?obj=modeletelecom&nat=telephone'>Téléphone</a></li>";
echo "<li><a href='../scr/tab.php?obj=modeletelecom&nat=fax'>Fax</a></li>";

$titre= "Modéles Réseau";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../scr/tab.php?obj=modelereseau&nat=modem'>Modem</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelereseau&nat=elementactif'>Elément Actif</a></li>";
echo "<li><a href='../scr/tab.php?obj=modelereseau&nat=routeur'>Routeur</a></li>";

echo "</ul>";

// menu6 =======================================================================
$m++;
$titre="<br>Structure";
// * custom *
if(file_exists("../dyn/custom/img/user.png")) {
   $ico="../dyn/custom/img/user.png";
}
else {
     $ico="../img/user.png";
}
//*
$href="#";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= "Structure";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../scr/tab.php?obj=service''>Service</a></li>";
echo "<li><a href='../scr/tab.php?obj=direction''>Direction</a></li>";
echo "<li><a href='../scr/tab.php?obj=departement''>Département</a></li>";
echo "<li><a href='../scr/tab.php?obj=organisme''>Organisme</a></li>";
echo "<li><a href='../scr/tab.php?obj=batiment''>Batiment</a></li>";
echo "<li><a href='../scr/tab.php?obj=marque''>Marque/Editeur</a></li>";
echo "<li><a href='../scr/tab.php?obj=fournisseur''>Fournisseur</a></li>";
echo "</ul>";
// menu7 =======================================================================
$m++;
$titre="<br>À  Propos";
// * custom *
if(file_exists("../dyn/custom/img/ico_a_propos.png")) {
   $ico="../dyn/custom/img/ico_a_propos.png";
}
else {
     $ico="../img/ico_a_propos.png";
}
//*
$href="#";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= "À Propos";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";

echo "<li><a href='../spg/doc.php'>Documentation</a></li>";
echo "<li><a href='http://www.openmairie.org' target=_blank>site openMairie</a></li>";
echo "</ul>";
// menu8 =======================================================================

$m++;
$titre="<br>Paramétrage";
// * custom *
if(file_exists("../dyn/custom/img/ico_parametrage.png")) {
   $ico="../dyn/custom/img/ico_parametrage.png";
}
else {
     $ico="../img/ico_parametrage.png";
}
//*
$href="../scr/tab.php?obj=utilisateur";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= "Paramétrage";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";
echo "<li><a href='../scr/tab.php?obj=collectivite'>Collectivité</a></li>";
echo "<li><a href='../scr/tab.php?obj=utilisateur'>Gestion Utilisateur</a></li>";
echo "<li><a href='../scr/tab.php?obj=profil'>Gestion de Profil</a></li>";
echo "<li><a href='../scr/tab.php?obj=droit'>Gestion Droits Accès</a></li>";
echo "</ul>";
// menu9 ======================================================================
$m++;
$titre="<br>L o g i n <br>".$loginNom;
// * custom *
if(file_exists("../dyn/custom/img/login.png")) {
   $ico="../dyn/custom/img/login.png";
}
else {
     $ico="../img/login.png";
}
$href="#";
echo "<p id='menu".$m."' class='menu' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onmouseout='CacherDelai();'>";
echo "<a href='".$href."' onmouseover=\"MontrerMenu('ssmenu".$m."');\" onfocus=\"MontrerMenu('ssmenu".$m."');\">";
echo "<img src='".$ico."' align='middle' hspace='0' border='0'>";
echo $titre."</a>";
echo "</p>";

echo "<ul id='ssmenu".$m."' class='ssmenu' onmouseover='AnnulerCacher();'";
echo " onmouseout='CacherDelai();' onfocus='AnnulerCacher();'";
echo " onblur='CacherDelai();'>";

$titre= "Login";
echo "<li>";
echo " <font id='titremenu'>".$titre."<br></font>";
echo"</li>";
echo "<li><a href='".$loginMenu."'>";
// * custom *
if(file_exists("../dyn/custom/img/ico_deconnexion.png")) {
  echo "<img src='../dyn/custom/img/ico_parametrage.png' align='middle' hspace='0' border='0'>";
}
else {
  echo "<img src='../img/ico_deconnexion.png' align='middle' hspace='0' border='0'>";
}
//*
echo " (Dé)Connexion</a></li>";

echo "<li><a href='../spg/loginchangepwd.php'>";
// * custom *
if(file_exists("../dyn/custom/img/ico_mdp.png")) {
  echo "<img src='../dyn/custom/img/ico_mdp.png' align='middle' hspace='0' border='0'>";
}
else {
  echo "<img src='../img/ico_mdp.png' align='middle' hspace='0' border='0'>";
}
//*
echo " Changer Mot Passe</a></li>";

echo "<li><a href='../index.php'>";
// * custom *
if(file_exists("../dyn/custom/img/ico_collectivite.png")) {
  echo "<img src='../dyn/custom/img/ico_collectivite.png' align='middle' hspace='0' border='0'>";
}
else {
  echo "<img src='../img/ico_collectivite.png' align='middle' hspace='0' border='0'>";
}
//*
echo " Autre Base</a></li>";
echo "</ul>";

//
echo "</div>";
echo "<script language='Javascript' type='text/javascript'>Chargement();</script>";
?>